Subject: Re: bug#50563: [PATCH [0/2] gnu: GDM: Add Wayland support

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 30 Sep 2021 09:41:26 +0000

Hello,

> Nice find, looks like this is the perfect fix (maybe this check was
> introduced in a new `gnome-shell` version).

Thanks I'll probably write a proper patch then.

> As for the ChangeLog style, I'm sorry about it. If I'm reading
> correctly, I missed adding which files and symbols were changed, am I
> right?

Yeah, that was more for future contributions, I'll get this one fixed
when applying.

Now, I also tried to run Sway (by adding it to the operating-system
packages list). It is proposed in the GDM selection box at login which
is nice, however all I get is a black screen with a frozen mouse
pointer after that.

There's a bunch of errors in /var/log/messages and
/var/log/gdm/greeter.log but I'm not sure if some are relevant here.

Mathieu